com.fasterxml.jackson.dataformat.protobuf.schema

## Class ProtobufEnum

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schema.ProtobufEnum

-     public class ProtobufEnum
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_name`
    `protected boolean` | `_standardIndexing` Flag that indicates whether mapping from enum value and id is standard or not; standard means that first enum has value 0, and all following enums have value one bigger than preceding one.
    `protected Map<String,Integer>` | `_valuesByName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtobufEnum(String name, Map<String,Integer> valuesByName, boolean standardIndexing)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `findEnum(String name)`
    `boolean` | `usesStandardIndexing()`
    `Map<String,Integer>` | `valueMapping()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _name

          protected final String _name

    - #### _valuesByName

          protected final Map<String,Integer> _valuesByName

    - #### _standardIndexing

          protected final boolean _standardIndexing

      Flag that indicates whether mapping from enum value and id is standard or not; standard means that first enum has value 0, and all following enums have value one bigger than preceding one.

  - ### Constructor Detail

    - #### ProtobufEnum

          public ProtobufEnum(String name,
                      Map<String,Integer> valuesByName,
                      boolean standardIndexing)

  - ### Method Detail

    - #### findEnum

          public Integer findEnum(String name)

    - #### valueMapping

          public Map<String,Integer> valueMapping()

    - #### usesStandardIndexing

          public boolean usesStandardIndexing()

Copyright © 2016 FasterXML. All rights reserved.